/*
 * Symbol exports for PF_KEY
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#include <linux/config.h>
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/version.h>
#include <linux/init.h>
#include <linux/net.h>
#include <linux/in.h>
#include <linux/in6.h>
#include <linux/slab.h>
#include <linux/spinlock.h>
#include <linux/list.h>
#include <linux/socket.h>
#include <linux/skbuff.h>
#include <linux/ipsec.h>
#include <linux/pfkeyv2.h>
#include <net/spd.h>
#include <net/sadb.h>

EXPORT_SYMBOL(ipsec_sa_acquire);
EXPORT_SYMBOL(ipsec_sa_kmalloc);
EXPORT_SYMBOL(ipsec_sa_match);
EXPORT_SYMBOL(ipsec_sa_mod_timer);
EXPORT_SYMBOL(ipsec_sa_put);
EXPORT_SYMBOL(ipsec_sa_update_lifetime);
EXPORT_SYMBOL(ipsec_sp_get);
EXPORT_SYMBOL(ipsec_sp_put);
EXPORT_SYMBOL(sa_index_copy);
EXPORT_SYMBOL(sa_index_compare);
EXPORT_SYMBOL(sa_index_init);
EXPORT_SYMBOL(sadb_find_by_sa_index);
EXPORT_SYMBOL(sadb_find_by_address_proto_spi);
EXPORT_SYMBOL(spd_find_by_selector);
EXPORT_SYMBOL(sysctl_ipsec4_icmp);
EXPORT_SYMBOL(sysctl_ipsec4_tos);
#ifdef CONFIG_IPSEC_DEBUG
EXPORT_SYMBOL(sysctl_ipsec_debug_ipv4);
EXPORT_SYMBOL(sysctl_ipsec_debug_ipv6);
EXPORT_SYMBOL(sysctl_ipsec_debug_pfkey);
EXPORT_SYMBOL(sysctl_ipsec_debug_sadb);
EXPORT_SYMBOL(sysctl_ipsec_debug_spd);
#endif
EXPORT_SYMBOL(sysctl_ipsec_replay_window);

#ifdef MODULE
#include "linux/module.h"
MODULE_AUTHOR("USAGI/WIDE Project");
MODULE_LICENSE("GPL");
#endif
